Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.21 veröffentlicht (11.06.19)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Editor nach Update auf V1.8.21 Fehler
#1
Hallo,

seit heute poppt beim Aufruf "Beiträge erstellen/ändern" kurz das Fenster auf und dann schaltet es gleich um (siehe Grafik). Ein Erstellen oder Bearbeiten eines Beitrages ist nicht mehr möglich.
   

Was habe ich getan?
Ich habe gemäß der Updateanleitung (fürsorglich bzw. wegen dem Thema Leerzeilen, was mir hier bei der Vorschau auch auffällt) nochmals alle Templates geprüft und musste keine Änderungen durchführen. Aber irgend etwas hat sich da doch verbogen. Nun kann niemand mehr Beiträge erstellen/bearbeiten. Wo habe ich da Mist gebaut?

Kann mir Bitte jemand helfen?
Wer fragt, ist gegebenenfalls für fünf Minuten ein Narr. Wer nicht fragt, bleibt ein Narr.
Wer nicht weiß wohin er will, darf sich nicht wundern wenn er woanders ankommt.
Aktive Version: MyBB: 1.8.21 | PHP: 7.2.19 | SQL: 5.6.44
Zitieren
#2
Ich weiß nicht, ob diese Ursache hier irgendwo bereits erwähnt wurde, aber in meinem lokalen Testforum hatte ich direkt nach dem Upgrade ebenfalls das Problem mit dem fehlerhaften Editor.
Das lag in diesem Fall aber an den Datei-Berechtigungen. Nach dem Entpacken von MyBB 1.8.21 hatten die neuen Sceditor-Ordner CHMOD 700 und so ließen sich die Dateien darin nicht aufrufen.

Wenn du wirklich alle anderen erforderlichen Änderungen beim Update durchgeführt hast, kannst du ja mal auch noch die Ordner-Berechtigungen überprüfen.
Zitieren
#3
Alle Ordner ./jscripts haben CHMOD 755 und die Dateien darin haben CHMOD 644
Wer fragt, ist gegebenenfalls für fünf Minuten ein Narr. Wer nicht fragt, bleibt ein Narr.
Wer nicht weiß wohin er will, darf sich nicht wundern wenn er woanders ankommt.
Aktive Version: MyBB: 1.8.21 | PHP: 7.2.19 | SQL: 5.6.44
Zitieren
#4
Hast du auch die Option "Editor-Stil" deines Themes geprüft bzw. auf Mybb zurückgestellt?

Generell ist bei solchen Problemen die Ausgabe in der Browser-Konsole (Chrome Strg+Shift+I, Firefox Strg+Shift+K) sehr hilfreich. Neben Javascript-Fehler werden auch HTTP-Fehler aufgelistet.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#5
Hallo Gerti,

nach Deinem Bild zu urteilen hast Du das Template "codebuttons" nicht auf original zurückgesetzt.
So sah es bei mir vorher auch aus.......
Das Löschen der (nicht mehr benötigten) SCeditor-Dateien ist zwar eigentlich nicht nötig, ich habe es aber trotzdem getan.
Danach das Template zurücksetzten.
Wenn alles nicht hilft, dann den gesamten SCeditor nochmal aus dem Komplettpaket hochladen.
Den "Alten" vorher löschen.

Grüße
Zitieren
#6
(14.06.2019, 15:58)Schnapsnase schrieb: nach Deinem Bild zu urteilen hast Du das Template "codebuttons" nicht auf original zurückgesetzt.

So sah es bei mir vorher auch aus.......
Wie beruhigend zu Wissen dass ich nicht als Einziger sich mit dem Problem herumschlagen muss
(14.06.2019, 15:58)Schnapsnase schrieb: Danach das Template zurücksetzten.
Was heist "zurücksetzen" in der Paxis? Wie geht man da vor? Sind dann alle Änderungen in allen Templates verloren? Wie setzt man nur das Template "codebutton" zurück"?

(14.06.2019, 15:58)Schnapsnase schrieb: Wenn alles nicht hilft, dann den gesamten SCeditor nochmal aus dem Komplettpaket hochladen.

Den "Alten" vorher löschen.
Mit gesamter SCedior ist gemeint, den Ordner ./jscripts/sceditor/*.*
Korrekt?
Habe den Ordner umbenannt und alles neu hochgeladen. Leider keine Änderung, das Problem besteht weiterhin.
Wer fragt, ist gegebenenfalls für fünf Minuten ein Narr. Wer nicht fragt, bleibt ein Narr.
Wer nicht weiß wohin er will, darf sich nicht wundern wenn er woanders ankommt.
Aktive Version: MyBB: 1.8.21 | PHP: 7.2.19 | SQL: 5.6.44
Zitieren
#7
Um die Sache zu verkürzen......
Ich gehe davon aus, dass Du in Deinem Template "codebuttons" keine eigenen Änderungen vorgenommen hast....
Schnapp Dir das Template aus meinem Testforum und überschreibe Deins.
Stelle sicher, dass für den Editor der Standard-Style eingestellt ist.
Sind alle anderen Templates aktuell??

P.s. Wenn Du Templates nach Update "einfach" nur speicherst, werden sie natürlich in der alten Version gespeichert.
Wenn Du rechts neben dem Template auf Optionen klickst, hast Du u.a. die Möglichkeit "Zurücksetzen aus Original".

Grüße
Zitieren
#8
(14.06.2019, 17:05)Schnapsnase schrieb: Ich gehe davon aus, dass Du in Deinem Template "codebuttons" keine eigenen Änderungen vorgenommen hast....
Habe die eigenen Änderungen auch mal herausgenommen, aber ohne Erfolg



(14.06.2019, 17:05)Schnapsnase schrieb: Schnapp Dir das Template aus meinem Testforum und überschreibe Deins.
Das war die Lösung! Dadurch habe ich einen Schreibfehler entdecken können. Dadadadaaanke!

Zeile 1 = falsch
PHP-Code:
<link rel="stylesheet" href="{$mybb->asset_url}/jscripts/sceditor/editor_themes/{$theme['editortheme']}type="text/css" media="all" /> 
Zeile 1 = korrekt
PHP-Code:
<link rel="stylesheet" href="{$mybb->asset_url}/jscripts/sceditor/themes/{$theme['editortheme']}type="text/css" media="all" /> 
(14.06.2019, 17:05)Schnapsnase schrieb: Stelle sicher, dass für den Editor der Standard-Style eingestellt ist.
Wo stellt man den für den Editor den Standardstyle ein?


(14.06.2019, 17:05)Schnapsnase schrieb: Sind alle anderen Templates aktuell??
So wie ich geprüft habe Ja. Da es jetzt funktioniert, dürften die auch korrekt sein.
Wer fragt, ist gegebenenfalls für fünf Minuten ein Narr. Wer nicht fragt, bleibt ein Narr.
Wer nicht weiß wohin er will, darf sich nicht wundern wenn er woanders ankommt.
Aktive Version: MyBB: 1.8.21 | PHP: 7.2.19 | SQL: 5.6.44
Zitieren
#9
(14.06.2019, 17:10)Gerti schrieb: Wo stellt man den für den Editor den Standardstyle ein?

Sorry, aber das hattest Du hier
selbst erst beschrieben. Wink
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Fehler nach Update von 1.8.10 auf 1.8.14 Raccoon 5 744 17.01.2018, 10:20
Letzter Beitrag: Raccoon
  [geteilt] Nach Update 1.6.x > 1.8.7 Probleme mit der Font-Formatierung im Editor Loredana 22 3.542 17.04.2016, 14:38
Letzter Beitrag: Loredana
  nach update von 1.8.6. nach 1.8.7 fehler in disk.php line 14 crurer 8 2.019 24.03.2016, 16:18
Letzter Beitrag: crurer
  Fehler nach Update von 1.8.0 auf 1.8.3 Draemer-Chan 1 508 14.12.2014, 14:08
Letzter Beitrag: StefanT